.contact {
    border: none;
    display: flex;
    flex-direction: column;
    padding: 5px;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.contact > * {
    margin: 30px 0;
}

.contact__form-wrap form > * {
    padding: 5px;
}

.contact h2 {
    text-transform: uppercase;
    font-size: 20px;
}

.contact .row {
    font-size: 18px;
}

.contact .row > * {
    display: block;
}

.contact input,
.contact textarea {
    font-size: 18px;
    padding: 5px 10px;
    width: 100%;
    border: none;
    border-radius: 5px;
    box-shadow: inset 0 0 3px black;
    transition: .3s;
}

.contact textarea {
    min-height: 150px;
    font-family: inherit;
}

.contact input[type="text"]:focus,
.contact input[type="email"]:focus,
.contact input[type="number"]:focus,
.contact textarea:focus {
    box-shadow: inset 0 0 5px var(--violetColor);
    outline: none;
    border-radius: 5px;
    border: none;
}

.contact input[type="checkbox"] {
    width: auto;
    display: inline-block;
}

.contact input[type="submit"] {
    width: 50%;
    max-width: 200px;
    display: block;
    margin: 0 auto;
    color: var(--lightColor);
    background-color: var(--violetColor);
    padding: 10px;
    letter-spacing: 1px;
    box-shadow: none;
    transform: .3s;
}

.contact__details .row {
    display: flex;
    padding: 10px 0 10px;
}

.contact__details i {
    flex-basis: 20px;
    text-align: center;
    padding-top: 5px;
}

.contact__details .row > p,
.contact__details .row > .account {
    padding-left: 20px;
}

.contact__details .row > .contact__address {
    padding-left: 23px;
}

.contact .note {
    font-size: 18px;
    position: relative;
    margin-top: 0px;
    padding-top: 30px;
}

.contact .note::after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100px;
    height: 2px;
    background-color: var(--darkColor);
}

.contact .acceptance a {
    color: inherit;
}

@media(min-width: 768px) {
    .contact {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }
    
    .contact > * {
        flex-basis: 50%;
        padding: 20px;
    }
    
    .contact__details {
        padding-left: 40px;
    }

    .contact__form-wrap {
        flex-basis: 60%;
    }

    .contact__details {
        flex-basis: 40%;
    }

    .contact__form-wrap h2,
    .contact__details h2 {
        padding-bottom: 20px;
    }

    .contact__details .row {
        padding-top: 30px;
    }

    .contact input[type="submit"]:hover,
    .contact .acceptance {
        cursor: pointer;
    }
    
    .contact .note {
        flex-basis: 75%;
        text-align: justify;
        padding-top: 40px;
    }
    
    .contact .note::after {
        content: "";
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 200px;
        height: 2px;
        background-color: var(--darkColor);
    }
}